#!/bin/bash

# URL der Wetterseite
URL="https://www.tagesschau.de/wetter/deutschland/wettervorhersage-deutschland-100.html"

# Zielverzeichnis
ZIELVERZEICHNIS="/usr/share/tuxbox/neutrino/httpd/wetter"

# Erstellen des Zielverzeichnisses, falls nicht vorhanden
mkdir -p "$ZIELVERZEICHNIS"

# Daten abrufen und gewünschte Bilder speichern
curl -k -s "$URL" | \
grep -E "16x9-768/deutschland-hoechstwerte-100.jpg|16x9-768/deutschland-tiefstwerte-100.jpg|16x9-768/3-tage-wetter-100.jpg" | \
grep -o 'https[^"]*' | \
xargs -I {} sh -c 'curl -k -o "$0"/$(basename "$1") "$1"' "$ZIELVERZEICHNIS" {}

